Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: accounts.locations.localPosts.list
使用集合让一切井井有条
根据您的偏好保存内容并对其进行分类。
HTTP 请求
GET https://mybusiness.googleapis.com/v4/{parent=accounts/*/locations/*}/localPosts
网址采用 gRPC 转码语法。
路径参数
| 参数 |
parent |
string
将列出其本地帖子的营业地点的名称。
|
查询参数
| 参数 |
pageSize |
integer
每页返回的本地帖子数量。默认值为 20。最小值为 1,页面大小上限为 100。
|
pageToken |
string
如果指定,则返回下一页本地帖子。
|
响应正文
localPosts.list 的响应消息
如果成功,响应正文将包含结构如下的数据:
| JSON 表示法 |
{
"localPosts": [
{
object (LocalPost)
}
],
"nextPageToken": string
} |
| 字段 |
localPosts[] |
object (LocalPost)
返回的本地帖子列表。
|
nextPageToken |
string
如果本地帖子数量超过所请求的页面大小,系统会使用令牌填充此字段,以在后续调用 localPosts.list 时获取下一页本地帖子。
|
授权范围
需要以下 OAuth 范围之一:
https://www.googleapis.com/auth/plus.business.manage
https://www.googleapis.com/auth/business.manage
如需了解详情,请参阅 OAuth 2.0 Overview。
如未另行说明,那么本页面中的内容已根据知识共享署名 4.0 许可获得了许可,并且代码示例已根据 Apache 2.0 许可获得了许可。有关详情,请参阅 Google 开发者网站政策。Java 是 Oracle 和/或其关联公司的注册商标。
最后更新时间 (UTC):2026-04-15。
[[["易于理解","easyToUnderstand","thumb-up"],["解决了我的问题","solvedMyProblem","thumb-up"],["其他","otherUp","thumb-up"]],[["没有我需要的信息","missingTheInformationINeed","thumb-down"],["太复杂/步骤太多","tooComplicatedTooManySteps","thumb-down"],["内容需要更新","outOfDate","thumb-down"],["翻译问题","translationIssue","thumb-down"],["示例/代码问题","samplesCodeIssue","thumb-down"],["其他","otherDown","thumb-down"]],["最后更新时间 (UTC):2026-04-15。"],[],["This describes how to retrieve local posts associated with a specific location. A `GET` request is sent to the specified URL, including the location in the `parent` path parameter. Optional `pageSize` and `pageToken` query parameters allow for pagination. The request body must be empty. The successful response includes an array of `localPosts` objects, and a `nextPageToken` string for retrieving further results if more are available. Access requires specific authorization scopes.\n"]]